# $Revision: 1.24 $, $Date: 2010/11/06 17:18:39 $
Summary:	A library for interfacing IEEE 1284-compatible devices
Summary(pl.UTF-8):	Biblioteka do komunikacji z urządzeniami kompatybilnymi z IEEE 1284
Name:		libieee1284
Version:	0.2.11
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libieee1284/%{name}-%{version}.tar.bz2
# Source0-md5:	b8fff9f3d121531bc17430e3f4ea6ed0
URL:		http://cyberelk.net/tim/libieee1284/index.html
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	libtool
BuildRequires:	python
BuildRequires:	python-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libieee1284 library is for communicating with parallel port
devices.

%description -l pl.UTF-8
Biblioteka libieee1284 służy do komunikacji z urządzeniami
podłączanymi do portu równoległego.

%package devel
Summary:	Files for developing applications that use libieee1284
Summary(pl.UTF-8):	Pliki do tworzenia programów używających libieee1284
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files, libtool library and man pages for developing
applications that use libieee1284.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do tworzenia programów używających
libieee1284.

%package static
Summary:	Static version of libieee1284
Summary(pl.UTF-8):	Statyczna wersja libieee1284
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libieee1284 library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libieee1284.

%package -n python-ieee1284
Summary:	Python binding for libieee1284 library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki libieee1284
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-ieee1284
Python binding for libieee1284 library.

%description -n python-ieee1284 -l pl.UTF-8
Wiązanie Pythona dla biblioteki libieee1284.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/libieee1284_test
%attr(755,root,root) %{_libdir}/libieee1284.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libieee1284.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libieee1284.so
%{_libdir}/libieee1284.la
%{_includedir}/ieee1284.h
%{_mandir}/man3/ieee1284_*.3*
%{_mandir}/man3/libieee1284.3*
%{_mandir}/man3/parport.3*
%{_mandir}/man3/parport_list.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libieee1284.a

%files -n python-ieee1284
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/ieee1284module.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libieee1284.spec,v $
Revision 1.24  2010/11/06 17:18:39  qboosh
- new Source0 URL, updated to 0.2.11

Revision 1.23  2010/07/09 11:18:22  arekm
- release 4

Revision 1.22  2008/10/17 07:59:02  megabajt
- release 3

Revision 1.21  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.19  2007/01/27 22:44:36  arekm
- rel 2

Revision 1.18  2005/03/23 23:03:07  qboosh
- updated to 0.2.10

Revision 1.17  2005/01/22 08:31:13  paladine
- simplified setup

Revision 1.16  2005/01/22 01:36:43  czucz
- updated to 0.2.9

Revision 1.15  2004/10/19 21:20:03  qboosh
- package python module

Revision 1.14  2004/08/31 21:37:35  darekr
- updated to 0.2.9pre2

Revision 1.13  2003/05/31 14:33:25  wiget
- updated to 0.2.8

Revision 1.12  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.11  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/03/03 11:52:45  wiget
- up to 0.2.7

Revision 1.9  2003/01/16 20:26:21  qboosh
- up to 0.2.6, removed obsolete no_sys_io.h patch

Revision 1.8  2002/11/25 14:16:54  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/09/07 19:22:41  kloczek
- (auto)updated to 0.2.2: bug fixes,
- added libieee1284_test prrogram to %files in main package.

Revision 1.5  2002/08/29 14:40:10  qboosh
- fixed build on alpha, release 2

Revision 1.4  2002/08/25 15:48:59  kloczek
- renamed ppc patch to no_sys_io.h (with added sparc specyfic modyfications).

Revision 1.3  2002/08/25 10:06:32  marcus
- updated to 0.2.1

Revision 1.2  2002/06/17 06:32:08  ankry
- fixed source URL

Revision 1.1  2002/06/16 15:03:25  qboosh
- new; spec based on one taken from tarball

* Wed Apr 24 2002 Tim Waugh <twaugh@redhat.com>
- The tarball builds its own man pages now; just adjust the symlinks.
- Run ldconfig.

* Mon Jan  7 2002 Tim Waugh <twaugh@redhat.com>
- Ship the PDF file with the devel package.

* Thu Nov 15 2001 Tim Waugh <twaugh@redhat.com>
- Initial specfile.
